%define version 2.0.1
%define release 7mdk

%define pkgname gconfmm
%define major	1
%define api_version 2.0
%define libname		%mklibname %pkgname %api_version %{major}
%define libname_orig	%mklibname %pkgname %api_version

Name:	 	%{pkgname}%{api_version}
Summary: 	A C++ interface for GConf2.
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group:   	System/Libraries
Source:  	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{api_version}/%{pkgname}-%{version}.tar.bz2
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	libGConf2-devel
BuildRequires:	gtkmm2.0-devel

%description
This package provides a C++ interface for GConf, a configuration data
storage mechanism to ship with GNOME.  It is a subpackage of the
gnomemm project, which provides a C++ interface for GNOME libraries.

%package	-n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package provides a C++ interface for GConf, a configuration data
storage mechanism to ship with GNOME.  It is a subpackage of the
gnomemm project, which provides a C++ interface for GNOME libraries.

%package -n %{libname}-devel
Summary:    Headers and development files of GConf 2 C++ wrapper
Group:      Development/GNOME and GTK+
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{libname_orig}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers and various development files needed,
when compiling or developing programs which want GConf 2 C++ wrapper.

%prep
%setup -q -n %pkgname-%version

%build
%configure2_5x --enable-static
%make 

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING.LIB
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-7mdk
- Rebuild with new gcc

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-6mdk
- Rebuild

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-5mdk
- Can't even fix changelog? Counter black magic with black magic

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-4mdk
- Rebuild again, main library RPM vaporized (Thx Austin)
- Relax -devel requirement a little bit

* Fri Aug 22 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-3mdk
- Rebuild against new gtkmm

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-2mdk
- Enable static libraries
- Other spec tweaks

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
